summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorfossdd2021-06-27 08:07:30 +0000
committerfossdd2021-06-27 08:07:30 +0000
commite6e07100f62e158c8940cb10fc7f28c28388e984 (patch)
tree074563854015369ae5c66457add2dc0cbffcaf19
downloadaur-e6e07100f62e158c8940cb10fc7f28c28388e984.tar.gz
initial commit
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD33
2 files changed, 47 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..10b45246282
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = ijq-git
+ pkgdesc = Interactive jq
+ pkgver = v0.3.5.r0.ga0abb27
+ pkgrel = 1
+ url = https://sr.ht/~gpanders/ijq
+ arch = x86_64
+ license = GPL-3.0
+ makedepends = go
+ makedepends = scdoc
+ provides = ijq
+ source = git+https://git.sr.ht/~gpanders/ijq
+ sha256sums = SKIP
+
+pkgname = ijq-git
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a8239df355d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: fossdd <fossdd@tutanota.com>
+pkgname=ijq-git
+_pkgname=${pkgname%-git}
+pkgver=v0.3.5.r0.ga0abb27
+pkgrel=1
+pkgdesc="Interactive jq"
+url='https://sr.ht/~gpanders/ijq'
+license=(GPL-3.0)
+arch=(x86_64)
+depends=()
+makedepends=(go scdoc)
+conflicts=()
+provides=(ijq)
+source=("git+https://git.sr.ht/~gpanders/ijq")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${_pkgname}"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$_pkgname"
+ make
+}
+
+package() {
+ cd "$_pkgname"
+ make prefix="$pkgdir/usr/" install
+}